Bug 1679455 - Feature: Support new Apple ][ emulator formats and update existing 2IMG format
Summary: Feature: Support new Apple ][ emulator formats and update existing 2IMG format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 29
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 07:46 UTC by Greg Wildman
Modified: 2019-03-03 02:47 UTC (History)
5 users (show)

Fixed In Version: file-5.36-2.fc31 file-5.36-2.fc30 file-5.34-13.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 02:47:13 UTC
Type: Bug


Attachments (Terms of Use)
Apple ][ Emulators magic file patch (3.87 KB, patch)
2019-02-21 07:46 UTC, Greg Wildman
no flags Details | Diff

Description Greg Wildman 2019-02-21 07:46:03 UTC
Created attachment 1536913 [details]
Apple ][ Emulators magic file patch

I have updated my magic for the file command to cater for the latest Apple ][ emulator file formats. I would like to get them added to file for future versions. I also fixed up the current 2IMG magic and added all the creator strings I could find.

2IMG Examples:
---------------
Aaargh!.2mg:               Apple ][ 2IMG Disk Image, Revival for Windows, ProDOS sector order, 1600 Blocks
Arkanoid II.2mg:           Apple ][ 2IMG Disk Image, Revival for Windows, ProDOS sector order, 1600 Blocks
Lode Runner Revisited.2mg: Apple ][ 2IMG Disk Image, Sweet 16, ProDOS sector order, 1600 Blocks
One Arm Battle.2mg:        Apple ][ 2IMG Disk Image, Sweet 16, ProDOS sector order, 1600 Blocks
Pitch-Dark-20180721.2mg:   Apple ][ 2IMG Disk Image, CiderPress, ProDOS sector order, 65535 Blocks
ProDOS32.2mg:              Apple ][ 2IMG Disk Image, CiderPress, ProDOS sector order, 65535 Blocks
RastanA.2mg:               Apple ][ 2IMG Disk Image, Revival for Windows, ProDOS sector order, 1600 Blocks
RastanB.2mg:               Apple ][ 2IMG Disk Image, Revival for Windows, ProDOS sector order, 1600 Blocks
Space Shark.2mg:           Apple ][ 2IMG Disk Image, XGS, ProDOS sector order, 1600 Blocks

Disk images, DOS3 and ProDOS:
------------------------------
Apple ProFile Backup II.dsk:     Apple ProDOS Image, Volume /BACKUP2.DISK, 280 Blocks
Apple ProFile - Side 1.dsk:      Apple Pascal Image, Volume PPMSTAR:, 280 Blocks, 1 Files
Apple ProFile - Side 2.dsk:      Apple Pascal Image, Volume PPMPROG:, 280 Blocks, 11 Files
AROS.dsk:                        Apple DOS 3.3 Image, Volume 1, 35 Tracks, 16 Sectors, 256 bytes per sector
Beneath Apple DOS.dsk:           Apple DOS 3.3 Image, Volume 254, 35 Tracks, 16 Sectors, 256 bytes per sector
BEZARE_hr.dsk:                   Apple DOS 3.2 Image, Volume 254, 35 Tracks, 16 Sectors, 256 bytes per sector
DiskMaker8v1.1.dsk:              Apple ProDOS Image, Volume /DM8, 280 Blocks
FSM3.po:                         Apple ProDOS Image, Volume /PASSPORT, 280 Blocks
GENIUS1_A2_Rel17.dsk:            Apple DOS 3.3 Image, Volume 254, 35 Tracks, 16 Sectors, 256 bytes per sector
GENIUS2_A2_Rel17.dsk:            Apple DOS 3.3 Image, Volume 254, 35 Tracks, 16 Sectors, 256 bytes per sector
ip65.dsk:                        Apple ProDOS Image, Volume /PRODOS.2.4.1, 280 Blocks
KART.24.dsk:                     Apple DOS 3.3 Image, Volume 254, 35 Tracks, 16 Sectors, 256 bytes per sector
Marinetti3.0b9.po:               Apple ProDOS Image, Volume /MARINETTI3.0B9, 1600 Blocks
Star Trek: First Contact 2.1.po: Apple ProDOS Image, Volume /STFC, 1600 Blocks
Virtual2.po:                     Apple ProDOS Image, Volume /VIRTUAL, 1600 Blocks
Virtual.po:                      Apple ProDOS Image, Volume /VIRTUAL, 1600 Blocks


WOZ 1.0:
--------
Aquatron.woz:        Apple ][ WOZ 1.0 Disk Image, 5.25 inch, cross track synchronized, Applesauce v1.0.2
Hard Hat Mack.woz:   Apple ][ WOZ 1.0 Disk Image, 5.25 inch, write protected, cross track synchronized, Applesauce v1.0.1
Paperboy.woz:        Apple ][ WOZ 1.0 Disk Image, 5.25 inch, write protected, cross track synchronized, Applesauce v1.0.2
Pool v1.5.woz:       Apple ][ WOZ 1.0 Disk Image, 5.25 inch, write protected, cross track synchronized, Applesauce v1.0.1
Snack Attack.woz:    Apple ][ WOZ 1.0 Disk Image, 5.25 inch, cross track synchronized, Applesauce v1.0.1

WOZ 2.0:
--------
Captain Goodnight side A.woz: Apple ][ WOZ 2.0 Disk Image, 5.25 inch, cross track synchronized, Passport.py by 4am (2019-02-02) 
Captain Goodnight side B.woz: Apple ][ WOZ 2.0 Disk Image, 5.25 inch, cross track synchronized, Passport.py by 4am (2019-02-02) 


I have attached my patch that builds against file-5.34-11.fc29.x86_64 using mock.

Many thanks,

--
Greg

Comment 1 Kamil Dudka 2019-02-26 11:06:40 UTC
Thank you for working on this!  Could you please send your patch to file's upstream for review via file@astron.com mailing-list?

Alternatively, I could propose the change to file's upstream on your behalf...

Comment 2 Greg Wildman 2019-02-26 13:45:13 UTC
Yes I will do that. For a long while I could not get a connection to the mailman interface or bugs page. Of course when I checked again today it's up :)

--
Greg

Comment 3 Kamil Dudka 2019-02-26 14:34:01 UTC
Both the upstream bug tracker and mailing-list at gw.com were dead for very long time but they were moved to astron.com not so long ago:

https://mailman.astron.com/pipermail/file/2019-February/000067.html

Comment 5 Greg Wildman 2019-02-28 09:19:58 UTC
Thanks, you can close this ticket.

Comment 7 Fedora Update System 2019-03-01 17:15:54 UTC
file-5.34-13.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-18b5655c9f

Comment 8 Fedora Update System 2019-03-02 00:58:39 UTC
file-5.34-13.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-18b5655c9f

Comment 9 Fedora Update System 2019-03-03 02:47:13 UTC
file-5.34-13.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.